/*------------------------------------------------------------------------
----- Header
------------------------------------------------------------------------ */

#admin-bar {	

	&,
	li,
	a,
	a:link,
	a:visited {
		font-family: $font-family !important;
		color: $color-light !important;
	}
}


.header {

	&__top {
		padding: 4px 16px;
		background-color: $bg-topbar;
		text-transform: uppercase;
		color: lighten($color-secondary,20%);
		text-align: center;

		.wrap {
			display: grid;
			grid-template-columns: 1fr auto;
			grid-column-gap: $margin;
			align-items: center;
		}

		p {
			display: none;
			margin-bottom: 0;
			margin-top: 0;
			width: 100% !important;
			font-family: $font-family-2;

			@include breakpoint(sm) {
				display: block;
			}
		}
	}
	&__languages {

		ul {
			margin-bottom: 0;
			margin-top: 0;
			padding: 0;
			font-style: 1.325em;

			a {
				display: inline-block;
			}
		}

		li {
			display: inline-block;
			margin: 0;
			list-style-type: none;
		}
		li:not(:last-child) {

			&::after {
				content: '|';
			}
		}

		.active {
			font-style: italic;
			font-weight: 600;
			color: $color-tertiary;
		}
		a {
			padding: 0 6px;
			font-weight: 400;
			color: $color-light;

			&:hover,
			&:focus {
				background-color: $bg-body;
				color: $color-global;
			}
		}
	}

	& > .wrap {
		display: flex;
		flex-flow: row wrap;
		justify-content: space-between;
		align-items: center;

		@include breakpoint(md) {
			padding-top: 24px;
			padding-bottom: 24px;
		}
	}
	&__logo {
		
	}
	&__connexion {
		text-align: right;

		a {
			display: block;
		}

		a.connect {
			position: relative;
			padding-right: 24px;

			&::after {
				content: '';
				position: absolute;
				top: 0;
				right: 0;
				display: block;
				width: 16px;
				height: 100%;
				background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 212 247'%3E%3Cpath fill='none' stroke='%23000' stroke-width='8.33' d='M169.72 113.92H41.9v90.92h127.83zM71.7 75.97a34.1 34.1 0 0 1 68.17 0v34.08'/%3E%3Cpath fill='none' stroke='%23000' stroke-width='8.33' d='M139.87 75.97a34.1 34.1 0 0 0-68.17 0v34.08'/%3E%3C/svg%3E");
				background-size: contain;
				background-repeat: no-repeat;
			}
			&.disconnect::after {
				background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 212 247'%3E%3Cpath fill='none' stroke='%23000' stroke-width='8.33' d='M169.72 113.92H41.9v90.92h127.83zM78.8 75.97a34.1 34.1 0 0 1 68.18 0v34.08'/%3E%3C/svg%3E");
			}
		}
	}

	&__menu {
		border-top: 3px solid $bg-border;
		border-bottom: 3px solid $bg-border;

		.wrap {
			padding: 0;
		}
	}
}

html[lang='fr'] .header__languages li a[href*='lang=fr'],
html[lang='en'] .header__languages li a[href*='lang=en'],
html[lang='it'] .header__languages li a[href*='lang=it'] {
	font-style: italic;
	font-weight: 600;
	color: $color-tertiary !important;
}

.no-textshadow #site-title a {
	background-color: #000;
	padding: (.25 * $spacing-unit);

	&:link,
	&:visited,
	&:active,
	&:hover {
		color: #fff; 
	}
}

#site-title {
	font-size: 2em;
	margin-left: 16px;
	padding: $spacing-unit 0;

	a {
		border-bottom: 0;
	}

	a img {
		vertical-align: bottom;
		max-width: 100%;
		height: auto;
	}
}


#query {

	@include breakpoint(sm) {
		margin-bottom: $spacing-unit;
	}	
}